On Saturday 09 February 2008 12:29:16 Matthew Seaman wrote:
> E. J. Cerejo wrote:
> > Running FBSD 6.3 and after updating the ports where icu was one of the
> > ports to be updated I'm getting the libexec/ld-elf.so.1: Shared object
> > "libicui18n.so.36" not found, required by "evolution" error, I can see
> > that the new version of icu installed "libicui18n.so.38".  Is there a
> > better way to fix this or should I just symlink "libicui18n.so.38" to
> > "libicui18n.so.36"?
>
> Nope.  Symlinking shlibs of different ABI versions together is the
> wrong answer.  There's a reason the ABI version number was bumped,
> and it indicates the new shlib is not compatible with the old one.
>
> Formally, the correct fix is:
>
>    # portupgrade -rf icu-\*
>
> or the equivalent in whatever ports management software you prefer.
>
> However this is pretty unfortunate as icu is a basic component that
> a large number of packages depend upon.  Expect to spend a long time
> compiling.
>
> Oh, and it's a good idea to update as the latest icu fixes some
> security problems.  See
>
>    http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-4770
>    http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-4771
>
>    http://secunia.com/advisories/28575/
>
>       Cheers,
>
>       Matthew

Thanks for the answer but there's no way that I'm going to do that, it's just 
too many apps, pkg_info tells me this:

Information for icu-3.8.1:

Required by:
ORBit2-2.14.12
abiword-gnome-2.4.6_3
alacarte-0.11.3_2
amarok-1.4.8
arts-1.5.8,1
at-spi-1.20.1
atk-1.20.0
avahi-0.6.22
avahi-app-0.6.22_1
bug-buddy-2.20.1
cairomm-1.2.4_1
ccsm-0.6.0
compiz-0.6.2
compiz-fusion-0.6.0
compiz-fusion-plugins-extra-0.6.0
compiz-fusion-plugins-main-0.6.0
compizconfig-backend-gconf-0.6.0_1
compizconfig-python-0.6.0.1
dasher-4.6.1,1
dbus-glib-0.74
deskbar-applet-2.20.3
desktop-file-utils-0.14
eel-2.20.0
ekiga-2.0.11_1
emerald-0.5.2_1
enchant-1.3.0
eog-2.20.4
epiphany-2.20.3
evince-2.20.2
evolution-2.12.3
evolution-data-server-1.12.3_1
evolution-exchange-2.12.3
evolution-webcal-2.12.0
fast-user-switch-applet-2.20.0
file-roller-2.20.3,1
firefox-2.0.0.11_1,1
ftpcube-0.5.1_1
gail-1.20.2
gamin-0.1.9
gcalctool-5.20.2_1,2
gconf-editor-2.20.0,1
gconf2-2.20.1
gdm-2.20.3
gedit-2.20.4
gftp-2.0.18_6
gimp-2.4.3,2
gimp-app-2.4.3,1
gimp-gutenprint-5.1.3_2
gimp-help-0.12
gkrellm-2.3.1_1
glib-2.14.6
glibmm-2.14.2,1
gmime-2.2.15
gmime-sharp-2.2.15
gnash-0.8.1_1
gnome-applets-2.20.1
gnome-control-center-2.20.3
gnome-desktop-2.20.3
gnome-games-2.20.3
gnome-games-extra-data-2.20.0
gnome-icon-theme-2.20.0_1
gnome-keyring-2.20.3
gnome-keyring-manager-2.20.0
gnome-mag-0.14.10
gnome-media-2.20.1
gnome-menus-2.20.3
gnome-mount-0.6_4
gnome-netstatus-2.12.1_4
gnome-nettool-2.20.0,1
gnome-panel-2.20.3
gnome-power-manager-2.20.2
gnome-session-2.20.3
gnome-sharp-2.16.0_4
gnome-speech-0.4.18
gnome-spell-1.0.8
gnome-system-monitor-2.20.2
gnome-system-tools-2.20.0
gnome-terminal-2.18.4
gnome-themes-2.20.2
gnome-themes-extras-2.20_1
gnome-utils-2.20.0.1,1
gnome-vfs-2.20.1
gnome-volume-manager-2.17.0_8
gnome2-2.20.2
gok-1.3.7,1
grip-3.2.0_15
gstreamer-0.10.15
gstreamer-ffmpeg-0.10.3
gstreamer-plugins-0.10.15,3
gstreamer-plugins-a52dec-0.10.6_2,3
gstreamer-plugins-bad-0.10.5_2,3
gstreamer-plugins-cdparanoia-0.10.15_3,3
gstreamer-plugins-core-0.10_9
gstreamer-plugins-dts-0.10.5_3,3
gstreamer-plugins-dvd-0.10.6_1,3
gstreamer-plugins-esound-0.10.6_2,3
gstreamer-plugins-flac-0.10.6_2,3
gstreamer-plugins-gconf-0.10.6_4,3
gstreamer-plugins-gnomevfs-0.10.15_2,3
gstreamer-plugins-good-0.10.6,3
gstreamer-plugins-hal-0.10.6_1,3
gstreamer-plugins-libpng-0.10.6_2,3
gstreamer-plugins-mad-0.10.6_3,3
gstreamer-plugins-mp3-0.10.0
gstreamer-plugins-mpeg2dec-0.10.6_2,3
gstreamer-plugins-ogg-0.10.15_2,3
gstreamer-plugins-pango-0.10.15_2,3
gstreamer-plugins-theora-0.10.15_4,3
gstreamer-plugins-ugly-0.10.6_1,3
gstreamer-plugins-vorbis-0.10.15_3,3
gstreamer-plugins-xvid-0.10.5_1,3
gtk-2.12.7
gtk-engines2-2.12.2
gtk-sharp-2.10.2_1
gtkhtml3-3.16.3
gtkmm-2.12.4
gtksourceview-1.8.5_2
gtksourceview2-2.0.2
gtkspell-2.0.11_5
gucharmap-gnome-1.10.2
gutenprint-base-5.1.3_1
hal-0.5.8.20080203
k3b-1.0.4
kde-windeco-crystal-1.0.4
kde-windeco-neos-0.2b_4
kdeaccessibility-3.5.8
kdeartwork-3.5.8
kdeartwork-xscreensaver-kde-3.5.8
kdebase-3.5.8_1
kdebase-kompmgr-3.5.8
kdeedu-3.5.8
kdegames-3.5.8
kdegraphics-3.5.8_1
kdegraphics-kamera-3.5.8
kdegraphics-kooka-3.5.8
kdegraphics-kuickshow-3.5.8
kdelibs-3.5.8
kdemultimedia-3.5.8
kdemultimedia-xine_artsplugin-3.5.8
kdenetwork-3.5.8
kdepim-3.5.8
kdetoys-3.5.8
kdeutils-3.5.8
koffice-1.6.3_3,2
libIDL-0.8.10
libafterimage-1.15_1
libbonobo-2.20.4
libbonoboui-2.20.0
libcroco-0.6.1
libgail-gnome-1.20.0
libglade2-2.6.2
libgnome-2.20.1.1_1
libgnomecanvas-2.20.1.1
libgnomecups-0.2.2_4,1
libgnomekbd-2.20.0
libgnomeprint-2.18.3
libgnomeprintui-2.18.2
libgnomeui-2.20.1.1
libgpod-0.6.0
libgsf-1.14.7
libgtkhtml-2.11.1
libgtop-2.20.1
libnotify-0.4.4_1
liboobs-2.20.0
libopensync-0.22_1
libpurple-2.3.1_1
librsvg2-2.20.0
libsexy-0.1.11
libsoup-2.2.104
libwnck-2.20.3
libwpd-0.8.9_1
libxine-1.1.10_1
libxklavier-3.3_1,1
libxml++-2.20.0
linc-1.0.3_6
linux-flashplugin-7.0r73
metacity-2.20.2
mono-1.2.5.1
monodoc-1.2.5
mplayer-0.99.11_1
nautilus-2.20.0
nautilus-cd-burner-2.20.0_1
notification-daemon-0.3.7_1
nspluginwrapper-0.9.91.5
nvidia-settings-1.0_12
nvu-1.0_6
openoffice.org-2.3.1_1
orca-2.20.3
pango-1.18.4
pidgin-2.3.1
policykit-0.1.20060514_4
poppler-gtk-0.6.4
py25-dbus-0.82.4
py25-gnome-2.20.1
py25-gnome-desktop-2.20.0
py25-gobject-2.14.1
py25-gtk-2.12.1
py25-orbit-2.14.3
py25-wxPython-common-2.6.3.3_1
py25-wxPython-unicode-2.6.3.3_1
sdl-1.2.11_2,2
seahorse-2.20.3
shared-mime-info-0.23
sound-juicer-2.20.1
system-tools-backends-2.4.1
tomboy-0.8.0_1
totem-2.20.3
tracker-0.6.2_2
ubuntulooks-0.9.12_3
vino-2.20.1
vlc-0.8.6.d,2
vte-0.16.12
wv-1.2.4_1
wv2-0.2.3_1
wxgtk2-2.6.3_5
wxgtk2-common-2.6.3_3
wxgtk2-common-2.8.5
wxgtk2-contrib-2.6.3_2
wxgtk2-contrib-common-2.6.3_2
wxgtk2-unicode-2.6.3_4
wxgtk2-unicode-2.8.5
wxgtk2-unicode-contrib-2.6.3_2
xcdroast-0.98.a.15_8
xchat-2.8.4_4
xf86-input-keyboard-1.2.2_1
xf86-input-mouse-1.2.3
xf86-video-nv-2.1.7
xf86-video-radeonhd-1.1.0
xf86-video-vga-4.1.0_1
xorg-7.3_1
xorg-drivers-7.3_1
xorg-protos-7.3
xorg-server-1.4_4,1
xscreensaver-gnome-4.24_6
yelp-2.20.0
zenity-2.20.1

I'll symlink it for now even if that represents some security problems.
_______________________________________________
freebsd-questions@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "[EMAIL PROTECTED]"

Reply via email to